Update image
Updates an Image. The path must contain the version being written, which is the object's current version plus 1 (a create returns version 0, so the first update uses 1). Sending the current version returns 409 Version conflict. Use this to set status to UPLOADED once the file has been PUT to the signed_url from the create.
Authorization
BearerAuth Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
In: header
Path Parameters
The unique identifier for an Image
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An object representing an Image.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/images/v1/string/string" \ -H "Content-Type: application/json" \ -d '{ "file_name": "string", "display_name": "string", "file_type": "string", "status": "PENDING" }'{ "id": "string", "signed_url": "string", "organization_id": "string", "deactivated": true, "version": 0, "updated_at": "2019-08-24T14:15:22Z", "updating_user_id": "string", "file_name": "string", "display_name": "string", "file_type": "string", "status": "PENDING", "coverage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "side": "FRONT" }, "patient": { "id": "string", "notes": "string" }}Deactivate image DELETE
Sets an Image as deactivated. The path must contain the version being written, which is the object's current version plus 1 (a create returns version 0, so the first deactivate uses 1). Sending the current version returns 409 Version conflict.
Get appointment list GET
Searches for appointments that match the query parameters.